<template>


  <div class="row">
    
    <div v-for="article of articles" :key="article.id">
      <div class="col s4 m4">

      <div class="card">
        <div class="card-image">
          <RouterLink :to="'/article/' + article.id" active-class="active"><img :src=" article.photo"></RouterLink>
          <span class="card-title">{{ article.titre }}</span>
          <!-- <a class="bt n-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a> -->
        </div>

        <div class="card-content">
          <p> {{ article.text}}</p>
        </div>
      </div>

      </div>
    </div>
  
  </div>

    <CommentaireList></CommentaireList>

</template>

<script setup lang="ts">
import type { Article } from '@/entities';
import { fetchAllArticles } from '@/service/article-service';
import { onMounted, ref } from 'vue';
import CommentaireList from './CommentaireList.vue';


const articles = ref<Article[]>([]);

onMounted(async()=>{
    articles.value = await fetchAllArticles();
})

</script>